gsm48_chan_desc Struct Reference

`#include <gsm_04_08.h>`

## Public Member Functions

union {
} | __attribute__ ((packed))

## Data Fields

uint8_t | chan_nr
uint8_t | tsc:3
uint8_t | h:1
uint8_t | maio_high:4
uint8_t | maio_low:2
uint8_t | hsn:6
uint8_t | spare:2
uint8_t | arfcn_high:2
uint8_t | arfcn_low

## Member Function Documentation

## __attribute__()

union gsm48_chan_desc::@22 gsm48_chan_desc::__attribute__ | ( | (packed) |  | ) |

## Field Documentation

## arfcn_high

uint8_t gsm48_chan_desc::arfcn_high

## arfcn_low

uint8_t gsm48_chan_desc::arfcn_low

## chan_nr

uint8_t gsm48_chan_desc::chan_nr

## h

uint8_t gsm48_chan_desc::h

## hsn

uint8_t gsm48_chan_desc::hsn

## maio_high

uint8_t gsm48_chan_desc::maio_high

## maio_low

uint8_t gsm48_chan_desc::maio_low

## spare

uint8_t gsm48_chan_desc::spare

## tsc

uint8_t gsm48_chan_desc::tsc

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h